IOSS 2.0

Public Member Functions | Protected Member Functions | Private Attributes | Friends | List of all members
Iotr::Scale Class Reference

`#include <Iotr_Scale.h>`

Inheritance diagram for Iotr::Scale:
[legend]
Collaboration diagram for Iotr::Scale:
[legend]

## Public Member Functions
const Ioss::VariableType * | output_storage (const Ioss::VariableType *in) const override
int | output_count (int in) const override
void | set_property (const std::string &name, int value) override
void | set_property (const std::string &name, double value) override
Public Member Functions inherited from Ioss::Transform
virtual | ~Transform ()
bool | execute (const Ioss::Field &field, void *data)
virtual void | set_properties (const std::string &name, const std::vector< int > &values)
virtual void | set_properties (const std::string &name, const std::vector< double > &values)

## Protected Member Functions
| Scale ()
bool | internal_execute (const Ioss::Field &field, void *data) override
Protected Member Functions inherited from Ioss::Transform
| Transform ()

## Private Attributes
int | intMultiplier {1}
double | realMultiplier {1.0}

## Friends
class | Scale_Factory

## Constructor & Destructor Documentation

## ◆ Scale()

Iotr::Scale::Scale | ( |  | ) |
| protected

## Member Function Documentation

## ◆ internal_execute()

bool Iotr::Scale::internal_execute | ( | const Ioss::Field & | field,
|  | void * | data
| ) |  |
| overrideprotectedvirtual

Implements Ioss::Transform.

## ◆ output_count()

int Iotr::Scale::output_count | ( | int | in | ) | const
| overridevirtual

Implements Ioss::Transform.

## ◆ output_storage()

const Ioss::VariableType * Iotr::Scale::output_storage | ( | const Ioss::VariableType * | in | ) | const
| overridevirtual

Implements Ioss::Transform.

## ◆ set_property() [1/2]

void Iotr::Scale::set_property | ( | const std::string & | name,
|  | double | value
| ) |  |
| overridevirtual

Reimplemented from Ioss::Transform.

## ◆ set_property() [2/2]

void Iotr::Scale::set_property | ( | const std::string & | name,
|  | int | value
| ) |  |
| overridevirtual

Reimplemented from Ioss::Transform.

## Friends And Related Function Documentation

## ◆ Scale_Factory

friend class Scale_Factory
| friend

## Member Data Documentation

## ◆ intMultiplier

int Iotr::Scale::intMultiplier {1}
| private

## ◆ realMultiplier

double Iotr::Scale::realMultiplier {1.0}
| private

The documentation for this class was generated from the following files:

- src/transform/Iotr_Scale.h
- src/transform/Iotr_Scale.C